Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.trmi
Class TrmiConfiguration

    java.lang.Object
      com.atomikos.icatch.trmi.TrmiConfiguration

Deprecated. As from release 1.30, an instance of the bean class com.atomikos.icatch.UserTransactionServiceImp does all of this.

    public final class TrmiConfiguration

extends Object

Copyright © 2001-2004, Atomikos. All rights reserved. A facade class for the Trmi TM framework. Allows easy integration of the trmi TM (standalone) in applications.

Field Summary
`static String` | `DEFAULT_PROPERTIES_FILE_NAME` Deprecated. The default trmi properties file name, assumed to be in the current directory and to be used in case the property FILE_PATH_PROPERTY_NAME is not set.
`static String` | `FILE_PATH_PROPERTY_NAME` Deprecated. The System property name that holds the path to the trmi properties file, needed for default initialization of the trmi config.
`static String` | `NO_FILE_PROPERTY_NAME` Deprecated. The system property name that indicates that NO configuration file should be used.

Constructor Summary
`TrmiConfiguration()` Deprecated.

Method Summary
`static TSInitInfo` | `createTSInitInfo()` Deprecated. Create a TSInitInfo object for this configuration.
`static UserTransactionService` | `getUserTransactionService()` Deprecated. Get the UserTransactionManager instance for the configuration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILE_PATH_PROPERTY_NAME

    public static final String FILE_PATH_PROPERTY_NAME

  Deprecated.
  The System property name that holds the path to the trmi properties file, needed for default initialization of the trmi config.

  See Also:
    Constant Field Values

### DEFAULT_PROPERTIES_FILE_NAME

    public static final String DEFAULT_PROPERTIES_FILE_NAME

  Deprecated.
  The default trmi properties file name, assumed to be in the current directory and to be used in case the property FILE_PATH_PROPERTY_NAME is not set.

  See Also:
    Constant Field Values

### NO_FILE_PROPERTY_NAME

    public static final String NO_FILE_PROPERTY_NAME

  Deprecated.
  The system property name that indicates that NO configuration file should be used. In this case, default properties will be used, and overridden by any system-set properties. To use this option, just set the System property with this name to an arbitrary value.

  See Also:
    Constant Field Values

Constructor Detail

### TrmiConfiguration

    public TrmiConfiguration()

  Deprecated.

Method Detail

### getUserTransactionService

    public static final UserTransactionService getUserTransactionService()

  Deprecated.
  Get the UserTransactionManager instance for the configuration.

  Returns:
    UserTransactionManager The UserTransactionManager

### createTSInitInfo

    public static final TSInitInfo createTSInitInfo()

  Deprecated.
  Create a TSInitInfo object for this configuration.

  Returns:
    TSInitInfo The initialization object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.